Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591286 - Save to Bugzilla shows "Finding storage devices" instead of progress
Summary: Save to Bugzilla shows "Finding storage devices" instead of progress
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Gavin Romig-Koch
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 592636
TreeView+ depends on / blocked
 
Reported: 2010-05-11 19:44 UTC by Alexander Todorov
Modified: 2010-12-01 16:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 592636 (view as bug list)
Environment:
Last Closed: 2010-12-01 16:16:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen cast (deleted)
2010-05-11 19:44 UTC, Alexander Todorov
no flags Details

Description Alexander Todorov 2010-05-11 19:44:35 UTC
Created attachment 413240 [details]
screen cast

Description of problem:
After traceback for bug #591275 I selected to save to Bugzilla. After filing my username and password anaconda shows "Finding storage devices" dialog instead of a progress message that saving to Bugzilla is in progress. See attached screen cast.

Version-Release number of selected component (if applicable):
anaconda-13.21.36-1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Hit a traceback and select Save to Bugzilla
2. Fill in username and password
3.
  
Actual results:
Anaconda shows "Finding storage devices" dialog

Expected results:
Anaconda will show something like "Saving to Bugzilla. Please wait ..."

Additional info:
screen cast attached

Comment 1 David Cantrell 2010-05-11 20:30:36 UTC
Chris, this looks pretty simple.  I think we just need a status window displaying in text mode when it's saving to bugzilla.  That'll cover up any windows that have not been popped.

Comment 2 RHEL Product and Program Management 2010-05-11 20:31:12 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Alexander Todorov 2010-05-11 21:02:47 UTC
Same thing in GUI mode as well.

Comment 4 Chris Lumens 2010-05-12 18:38:24 UTC
> Chris, this looks pretty simple.  I think we just need a status window
> displaying in text mode when it's saving to bugzilla.  That'll cover up any
> windows that have not been popped.    

That'd need to be handled in report, which now has the bulk of the exception handling UI.  I know there at least used to be a bug requesting a progress dialog.  It was filed against python-meh, and I moved it to report.

We'll have to handle it that way.  It's unrealistic for anaconda to pop whatever dialog may have possibly been displayed at the time of the exception.  We simply don't have that information.

Comment 5 Gavin Romig-Koch 2010-06-17 13:11:01 UTC
For this i think we need progress dialogs for newt mode (and gui mode and text mode).

I'm not sure i can get this done by GA freeze.

Comment 7 RHEL Product and Program Management 2010-07-15 14:04:25 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 10 RHEL Product and Program Management 2010-12-01 16:16:15 UTC
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.